package sun.security.x509;

import sun.security.util.DerOutputStream;
import java.io.IOException;
import sun.security.util.DerValue;
import sun.security.util.ObjectIdentifier;

public class CertificatePolicyId
{
    private ObjectIdentifier id;
    
    public CertificatePolicyId(ObjectIdentifier id) {
        this.id = id;
    }
    
    public CertificatePolicyId(DerValue derValue) throws IOException {
        this.id = derValue.getOID();
    }
    
    public ObjectIdentifier getIdentifier() {
        return this.id;
    }
    
    @Override
    public String toString() {
        return "CertificatePolicyId: [" + this.id.toString() + "]\n";
    }
    
    public void encode(DerOutputStream derOutputStream) throws IOException {
        derOutputStream.putOID(this.id);
    }
    
    @Override
    public boolean equals(Object o) {
        return o instanceof CertificatePolicyId && this.id.equals(((CertificatePolicyId)o).getIdentifier());
    }
    
    @Override
    public int hashCode() {
        return this.id.hashCode();
    }
}
